restaurant
13 endpoints · /api/erp/v1/restaurant
Request examples are generated from each endpoint's REAL method and path. 13 endpoints have no hand-verified body example yet; their skeleton has no body — we do not invent field names.
Adisyonu e-Adisyon olarak kuyrukla (ETTN + queued). erp.einvoice.manage.
OturumYol parametresi:
idİstek
curl -X POST "https://{slug}.erp.blesyum.app/api/erp/v1/restaurant/tickets/<id>/e-adisyon" \
-H "Authorization: Bearer <oturum-token>" \
-H "Accept: application/json"Yanıt
{
"data": "…",
"trace_id": "01JC…"
}Line discount
OturumYol parametresi:
idline_idİstek
curl -X POST "https://{slug}.erp.blesyum.app/api/erp/v1/restaurant/tickets/<id>/lines/<line_id>/discount" \
-H "Authorization: Bearer <oturum-token>" \
-H "Accept: application/json"Yanıt
{
"data": "…",
"trace_id": "01JC…"
}Void line
OturumYol parametresi:
idline_idİstek
curl -X POST "https://{slug}.erp.blesyum.app/api/erp/v1/restaurant/tickets/<id>/lines/<line_id>/void" \
-H "Authorization: Bearer <oturum-token>" \
-H "Accept: application/json"Yanıt
{
"data": "…",
"trace_id": "01JC…"
}Kuyruklanmış adisyonun UBL-TR e-Adisyon XML'i (satıcı firma query param). erp.einvoice.view.
OturumYol parametresi:
idİstek
curl -X GET "https://{slug}.erp.blesyum.app/api/erp/v1/restaurant/tickets/<id>/ubl-adisyon" \
-H "Authorization: Bearer <oturum-token>" \
-H "Accept: application/json"Yanıt
{
"data": "…",
"trace_id": "01JC…"
}Bu sayfa işine yaradı mı?